.the-edit-bar button,
.the-edit-bar input,
.the-edit-bar select,
.the-editor-bubble-menu button,
.the-editor-bubble-menu input,
.the-editor-bubble-menu select {
    /* 
    * Reset all the styles for the buttons, inputs and selects
    * to make them look the same in all browsers
    * note: this is a very basic reset, you might need to add more styles
    */
    all: unset;
    margin: 0;
    padding: 0;
    font-size: 12pt;
    font-family: sans-serif;
}


.the-edit-bar {
    display: flex;
    flex-wrap: wrap;
    gap: 4px;
    background-color: #fafafa;
    border: 1px solid #c4c4c4;
    padding: 4px;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    z-index: 999;
    top: 0;
    position: sticky;
}



.the-edit-bar-spacer {
    height: 24px;
    width: 1px;
    background-color: #c4c4c4;
}

.the-editor-bubble-menu {
    padding: 4px;
    background-color: #fafafa;
    border: 1px solid #c4c4c4;
    font-size: 75%;
}



.the-editor-bubble-menu button.the-editor-bubble-menu-button {
    padding: 2px 4px;
    border-radius: 2px;
    background-color: #fafafa;
    font-size: 10pt;
    cursor: pointer;
    line-height: 10pt;
}

.the-editor-bubble-menu button.the-editor-bubble-menu-button:hover {
    background-color: #e6e6e6;
}
.the-editor-bubble-menu button.the-editor-bubble-menu-button:focus {
    outline: 2px solid black;
}


/* Buttons */
.the-edit-bar button.the-edit-bar-button {
    width: 30px;
    height: 30px;

    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    border: none;
    border-radius: 4px;
    background-color: #fafafa;
    color: black;
    cursor: pointer;
}

.the-edit-bar svg {
    fill: currentColor;
}

.the-edit-bar button.the-edit-bar-button.active {
    background-color: #ccc;
}

.the-edit-bar button.the-edit-bar-button:hover:enabled,
.the-edit-bar button.the-edit-bar-button:focus {
    background-color: #e6e6e6;
}

.the-edit-bar button.the-edit-bar-button:focus {
    outline: black auto 1px;

}

.the-edit-bar button.the-edit-bar-button:disabled {
    cursor: not-allowed;
    color: #acacac;
}


.the-editor-table-bubble-menu svg{
    width: 18px;
    height: 18px;

}
.the-edit-bar button.the-edit-bar-button>svg {
    width: 20px;
    height: 20px;
}

.the-edit-bar-button-group {
    display: flex;
    gap: 4px;
}

.the-edit-bar .the-edit-bar-input,
.the-editor-bubble-menu .the-edit-bar-input {
    background-color: #fafafa;
    border: none;
    outline: none;
    padding: 5px;
    border-radius: 2px;
    height: 30px;
    appearance: auto;
}

.the-editor-bubble-menu .select.the-edit-bar-input,
.the-editor-bubble-menu input.the-edit-bar-input {
    padding: 2px 4px;
    font-size: 9pt;
    margin: 2px 0px;
    line-height: 9pt;
}

.the-edit-bar select.the-edit-bar-input,
.the-editor-bubble-menu input.the-edit-bar-input {
    height: auto !important;
}

.the-edit-bar select.the-edit-bar-input:focus,
.the-edit-bar input.the-edit-bar-input:focus,
.the-editor-bubble-menu .select.the-edit-bar-input:focus,
.the-editor-bubble-menu input.the-edit-bar-input:focus {
    background-color: #e6e6e6;
    outline: 1px auto black;
}

.the-edit-bar-button.active {
    background-color: #ccc;
}



.the-edit-bar-input:hover {
    background-color: #e6e6e6;
}


.the-editor-context {
    border: 1px solid #c4c4c4;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    padding: 8px;
    /* nice light inset shadow */
    box-shadow: inset 0 0 2px rgba(0, 0, 0, 0.3);
}

.the-editor-context>[contenteditable="true"] {
    outline: none;
}

.the-editor-context>.tiptap> :first-child {
    margin-top: 0;
}

.the-editor-context>.tiptap> :last-child {
    margin-bottom: 0;
}

.the-editor-context>.tiptap {
    min-height: 200px;
}


.the-editor-context .selectedCell:after {
    z-index: 2;
    position: absolute;
    content: "";
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: rgba(200, 200, 255, 0.4);
    pointer-events: none;
}

.the-editor-context .column-resize-handle {
    position: absolute;
    right: -2px;
    top: 0;
    bottom: -2px;
    width: 4px;
    background-color: #adf;
    pointer-events: none;
}


.the-editor-context .resize-cursor {
    cursor: ew-resize;
    cursor: col-resize;
}


.the-editor-context textarea {
    resize: vertical;
    box-sizing: border-box;
}

.the-editor-context *:required:placeholder-shown {
    outline: 2px solid red;
}

.the-editor-context .ProseMirror-selectednode {
    outline: 2px solid #215de8;
}